FreeMat

- Main Page
- Related Pages

vtkImageNoiseSource

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageNoiseSource just produces images filled with noise. The only option now is uniform noise specified by a min and a max. There is one major problem with this source. Every time it executes, it will output different pixel values. This has important implications when a stream requests overlapping regions. The same pixels will have different values on different updates.

To create an instance of class vtkImageNoiseSource, simply invoke its constructor as follows

      obj = vtkImageNoiseSource

# Methods

The class vtkImageNoiseSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageNoiseSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageNoiseSource = obj.NewInstance ()`
- `vtkImageNoiseSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetMinimum (double )` - Set/Get the minimum and maximum values for the generated noise.
- `double = obj.GetMinimum ()` - Set/Get the minimum and maximum values for the generated noise.
- `obj.SetMaximum (double )` - Set/Get the minimum and maximum values for the generated noise.
- `double = obj.GetMaximum ()` - Set/Get the minimum and maximum values for the generated noise.
- `obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)` - Set how large of an image to generate.
- `obj.SetWholeExtent (int ext[6])`